Bug 391301 - selinux denial policy when compiz enabled
selinux denial policy when compiz enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 19:56 EST by praxis
Modified: 2008-01-24 13:38 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 13:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description praxis 2007-11-19 19:56:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc8 Firefox/2.0.0.9

Description of problem:
Summary
    SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "setattr" to <Unknown>
    (xserver_misc_device_t).

Detailed Description
    SELinux denied access requested by /usr/bin/Xorg. It is not expected that
    this access is required by /usr/bin/Xorg and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for <Unknown>, restorecon -v
    <Unknown> If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xserver_misc_device_t:s0
Target Objects                None [ chr_file ]
Affected RPM Packages         xorg-x11-server-Xorg-1.3.0.0-33.fc8 [application]
Policy RPM                    selinux-policy-3.0.8-53.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-49.fc8 #1 SMP
                              Thu Nov 8 22:14:09 EST 2007 x86_64 x86_64
Alert Count                   61
First Seen                    Mon 19 Nov 2007 07:38:53 AM PST
Last Seen                     Mon 19 Nov 2007 08:19:25 AM PST
Local ID                      e1c962c0-a367-4594-9d8a-eede364c81e6
Line Numbers                  

Raw Audit Messages            

avc: denied { setattr } for comm=X dev=tmpfs egid=0 euid=0 exe=/usr/bin/Xorg
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=nvidia0 pid=10031
scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 suid=0 tclass=chr_file
tcontext=system_u:object_r:xserver_misc_device_t:s0 tty=tty7 uid=0







Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-33.fc8

How reproducible:
Always


Steps to Reproduce:
1.disable compiz with the desktop-effects tool
2.enable compiz with the desktop-effects tool
3.

Actual Results:
compiz works
gnome-compiz-preferences doesnt work

Expected Results:


Additional info:
Comment 1 Matěj Cepl 2008-01-23 19:49:23 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Daniel Walsh 2008-01-24 13:38:54 EST
Fixed in latest selinux policy

yum -y upgrade selinux-policy

Note You need to log in before you can comment on or make changes to this bug.